API Documentation
Kuali Research REST APIs - System
Research System ¶
Action Attributes ¶
Get Action Attributes by KeyGET/research-sys/api/v1/action-attributes/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}Get All Action AttributesGET/research-sys/api/v1/action-attributes/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}
]Get All Action Attributes with FilteringGET/research-sys/api/v1/action-attributes/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- id
string(optional)- value
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Action AttributesGET/research-sys/api/v1/action-attributes/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"id",
"value"
],
"primaryKey": "id"
}Get Blueprint API specification for Action AttributesGET/research-sys/api/v1/action-attributes/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Action Attributes.md"
transfer-encoding: chunkedUpdate Action AttributesPUT/research-sys/api/v1/action-attributes/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Action AttributesPUT/research-sys/api/v1/action-attributes/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Action AttributesPATCH/research-sys/api/v1/action-attributes/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}Insert Action AttributesPOST/research-sys/api/v1/action-attributes/
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the insertion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json201Body
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Action AttributesPOST/research-sys/api/v1/action-attributes/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}
]Delete Action Attributes by KeyDELETE/research-sys/api/v1/action-attributes/(key)
Example URI
- createMaintenanceDocument
string(required)if true, will create a maintenance document for the deletion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Action AttributesDELETE/research-sys/api/v1/action-attributes/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDelete All Action Attributes with MatchingDELETE/research-sys/api/v1/action-attributes/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- id
string(optional)- value
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalActions ¶
Get Actions by KeyGET/research-sys/api/v1/actions/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"id": "(val)",
"namespace": "(val)",
"name": "(val)",
"description": "(val)",
"typeId": "(val)",
"sequenceNumber": "(val)",
"_primaryKey": "(val)"
}Get All ActionsGET/research-sys/api/v1/actions/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"id": "(val)",
"namespace": "(val)",
"name": "(val)",
"description": "(val)",
"typeId": "(val)",
"sequenceNumber": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"namespace": "(val)",
"name": "(val)",
"description": "(val)",
"typeId": "(val)",
"sequenceNumber": "(val)",
"_primaryKey": "(val)"
}
]Get All Actions with FilteringGET/research-sys/api/v1/actions/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- id
string(optional)Action Id. Validating pattern is .*.
- namespace
string(optional)Action Namespace. Validating pattern is .*.
- name
string(optional)Action Name. Validating pattern is .*.
- description
string(optional)Action Description. Validating pattern is .*.
- typeId
string(optional)Action Type Id. Validating pattern is .*.
- sequenceNumber
string(optional)Sequence Number. Validating pattern is .*.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"id": "(val)",
"namespace": "(val)",
"name": "(val)",
"description": "(val)",
"typeId": "(val)",
"sequenceNumber": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"namespace": "(val)",
"name": "(val)",
"description": "(val)",
"typeId": "(val)",
"sequenceNumber": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for ActionsGET/research-sys/api/v1/actions/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"id",
"namespace",
"name",
"description",
"typeId",
"sequenceNumber"
],
"primaryKey": "id"
}Get Blueprint API specification for ActionsGET/research-sys/api/v1/actions/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Actions.md"
transfer-encoding: chunkedUpdate ActionsPUT/research-sys/api/v1/actions/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"namespace": "(val)",
"name": "(val)",
"description": "(val)",
"typeId": "(val)",
"sequenceNumber": "(val)",
"_primaryKey": "(val)"
}204Update Multiple ActionsPUT/research-sys/api/v1/actions/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"namespace": "(val)",
"name": "(val)",
"description": "(val)",
"typeId": "(val)",
"sequenceNumber": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"namespace": "(val)",
"name": "(val)",
"description": "(val)",
"typeId": "(val)",
"sequenceNumber": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes ActionsPATCH/research-sys/api/v1/actions/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"id": "(val)",
"namespace": "(val)",
"name": "(val)",
"description": "(val)",
"typeId": "(val)",
"sequenceNumber": "(val)",
"_primaryKey": "(val)"
}Insert ActionsPOST/research-sys/api/v1/actions/
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the insertion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json201Body
{
"id": "(val)",
"namespace": "(val)",
"name": "(val)",
"description": "(val)",
"typeId": "(val)",
"sequenceNumber": "(val)",
"_primaryKey": "(val)"
}Insert Multiple ActionsPOST/research-sys/api/v1/actions/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"namespace": "(val)",
"name": "(val)",
"description": "(val)",
"typeId": "(val)",
"sequenceNumber": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"namespace": "(val)",
"name": "(val)",
"description": "(val)",
"typeId": "(val)",
"sequenceNumber": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"id": "(val)",
"namespace": "(val)",
"name": "(val)",
"description": "(val)",
"typeId": "(val)",
"sequenceNumber": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"namespace": "(val)",
"name": "(val)",
"description": "(val)",
"typeId": "(val)",
"sequenceNumber": "(val)",
"_primaryKey": "(val)"
}
]Delete Actions by KeyDELETE/research-sys/api/v1/actions/(key)
Example URI
- createMaintenanceDocument
string(required)if true, will create a maintenance document for the deletion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All ActionsDELETE/research-sys/api/v1/actions/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDelete All Actions with MatchingDELETE/research-sys/api/v1/actions/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- id
string(optional)Action Id. Validating pattern is .*.
- namespace
string(optional)Action Namespace. Validating pattern is .*.
- name
string(optional)Action Name. Validating pattern is .*.
- description
string(optional)Action Description. Validating pattern is .*.
- typeId
string(optional)Action Type Id. Validating pattern is .*.
- sequenceNumber
string(optional)Sequence Number. Validating pattern is .*.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalAgenda Attributes ¶
Get Agenda Attributes by KeyGET/research-sys/api/v1/agenda-attributes/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}Get All Agenda AttributesGET/research-sys/api/v1/agenda-attributes/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}
]Get All Agenda Attributes with FilteringGET/research-sys/api/v1/agenda-attributes/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- id
string(optional)- value
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Agenda AttributesGET/research-sys/api/v1/agenda-attributes/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"id",
"value"
],
"primaryKey": "id"
}Get Blueprint API specification for Agenda AttributesGET/research-sys/api/v1/agenda-attributes/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Agenda Attributes.md"
transfer-encoding: chunkedUpdate Agenda AttributesPUT/research-sys/api/v1/agenda-attributes/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Agenda AttributesPUT/research-sys/api/v1/agenda-attributes/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Agenda AttributesPATCH/research-sys/api/v1/agenda-attributes/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}Insert Agenda AttributesPOST/research-sys/api/v1/agenda-attributes/
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the insertion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json201Body
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Agenda AttributesPOST/research-sys/api/v1/agenda-attributes/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}
]Delete Agenda Attributes by KeyDELETE/research-sys/api/v1/agenda-attributes/(key)
Example URI
- createMaintenanceDocument
string(required)if true, will create a maintenance document for the deletion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Agenda AttributesDELETE/research-sys/api/v1/agenda-attributes/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDelete All Agenda Attributes with MatchingDELETE/research-sys/api/v1/agenda-attributes/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- id
string(optional)- value
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalAgenda Items ¶
Get Agenda Items by KeyGET/research-sys/api/v1/agenda-items/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"id": "(val)",
"agendaId": "(val)",
"subAgendaId": "(val)",
"whenTrueId": "(val)",
"whenFalseId": "(val)",
"alwaysId": "(val)",
"_primaryKey": "(val)"
}Get All Agenda ItemsGET/research-sys/api/v1/agenda-items/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"id": "(val)",
"agendaId": "(val)",
"subAgendaId": "(val)",
"whenTrueId": "(val)",
"whenFalseId": "(val)",
"alwaysId": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"agendaId": "(val)",
"subAgendaId": "(val)",
"whenTrueId": "(val)",
"whenFalseId": "(val)",
"alwaysId": "(val)",
"_primaryKey": "(val)"
}
]Get All Agenda Items with FilteringGET/research-sys/api/v1/agenda-items/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- id
string(optional)Id. Validating pattern is .*.
- agendaId
string(optional)Agenda Id. Validating pattern is .*.
- subAgendaId
string(optional)Sub-Agenda Id. Validating pattern is .*.
- whenTrueId
string(optional)whenTrue Id. Validating pattern is .*.
- whenFalseId
string(optional)whenFalse Id. Validating pattern is .*.
- alwaysId
string(optional)Always Id. Validating pattern is .*.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"id": "(val)",
"agendaId": "(val)",
"subAgendaId": "(val)",
"whenTrueId": "(val)",
"whenFalseId": "(val)",
"alwaysId": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"agendaId": "(val)",
"subAgendaId": "(val)",
"whenTrueId": "(val)",
"whenFalseId": "(val)",
"alwaysId": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Agenda ItemsGET/research-sys/api/v1/agenda-items/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"id",
"agendaId",
"subAgendaId",
"whenTrueId",
"whenFalseId",
"alwaysId"
],
"primaryKey": "id"
}Get Blueprint API specification for Agenda ItemsGET/research-sys/api/v1/agenda-items/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Agenda Items.md"
transfer-encoding: chunkedUpdate Agenda ItemsPUT/research-sys/api/v1/agenda-items/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"agendaId": "(val)",
"subAgendaId": "(val)",
"whenTrueId": "(val)",
"whenFalseId": "(val)",
"alwaysId": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Agenda ItemsPUT/research-sys/api/v1/agenda-items/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"agendaId": "(val)",
"subAgendaId": "(val)",
"whenTrueId": "(val)",
"whenFalseId": "(val)",
"alwaysId": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"agendaId": "(val)",
"subAgendaId": "(val)",
"whenTrueId": "(val)",
"whenFalseId": "(val)",
"alwaysId": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Agenda ItemsPATCH/research-sys/api/v1/agenda-items/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"id": "(val)",
"agendaId": "(val)",
"subAgendaId": "(val)",
"whenTrueId": "(val)",
"whenFalseId": "(val)",
"alwaysId": "(val)",
"_primaryKey": "(val)"
}Insert Agenda ItemsPOST/research-sys/api/v1/agenda-items/
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the insertion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json201Body
{
"id": "(val)",
"agendaId": "(val)",
"subAgendaId": "(val)",
"whenTrueId": "(val)",
"whenFalseId": "(val)",
"alwaysId": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Agenda ItemsPOST/research-sys/api/v1/agenda-items/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"agendaId": "(val)",
"subAgendaId": "(val)",
"whenTrueId": "(val)",
"whenFalseId": "(val)",
"alwaysId": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"agendaId": "(val)",
"subAgendaId": "(val)",
"whenTrueId": "(val)",
"whenFalseId": "(val)",
"alwaysId": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"id": "(val)",
"agendaId": "(val)",
"subAgendaId": "(val)",
"whenTrueId": "(val)",
"whenFalseId": "(val)",
"alwaysId": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"agendaId": "(val)",
"subAgendaId": "(val)",
"whenTrueId": "(val)",
"whenFalseId": "(val)",
"alwaysId": "(val)",
"_primaryKey": "(val)"
}
]Delete Agenda Items by KeyDELETE/research-sys/api/v1/agenda-items/(key)
Example URI
- createMaintenanceDocument
string(required)if true, will create a maintenance document for the deletion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Agenda ItemsDELETE/research-sys/api/v1/agenda-items/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDelete All Agenda Items with MatchingDELETE/research-sys/api/v1/agenda-items/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- id
string(optional)Id. Validating pattern is .*.
- agendaId
string(optional)Agenda Id. Validating pattern is .*.
- subAgendaId
string(optional)Sub-Agenda Id. Validating pattern is .*.
- whenTrueId
string(optional)whenTrue Id. Validating pattern is .*.
- whenFalseId
string(optional)whenFalse Id. Validating pattern is .*.
- alwaysId
string(optional)Always Id. Validating pattern is .*.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalAgendas ¶
Get Agendas by KeyGET/research-sys/api/v1/agendas/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"id": "(val)",
"name": "(val)",
"typeId": "(val)",
"contextId": "(val)",
"active": "(val)",
"firstItemId": "(val)",
"_primaryKey": "(val)"
}Get All AgendasGET/research-sys/api/v1/agendas/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"id": "(val)",
"name": "(val)",
"typeId": "(val)",
"contextId": "(val)",
"active": "(val)",
"firstItemId": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"name": "(val)",
"typeId": "(val)",
"contextId": "(val)",
"active": "(val)",
"firstItemId": "(val)",
"_primaryKey": "(val)"
}
]Get All Agendas with FilteringGET/research-sys/api/v1/agendas/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- id
string(optional)Agenda Id. Validating pattern is .*.
- name
string(optional)Agenda Name. Validating pattern is .*.
- typeId
string(optional)Agenda typeId. Validating pattern is .*.
- contextId
string(optional)Agenda contextId. Validating pattern is .*.
- active
string(optional)This attribute is used to describe whether the associated object is active or inactive. Maximum length is 1. Validating pattern is ^[\p{Graph}]*$.
- firstItemId
string(optional)First Item Id. Validating pattern is .*.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"id": "(val)",
"name": "(val)",
"typeId": "(val)",
"contextId": "(val)",
"active": "(val)",
"firstItemId": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"name": "(val)",
"typeId": "(val)",
"contextId": "(val)",
"active": "(val)",
"firstItemId": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for AgendasGET/research-sys/api/v1/agendas/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"id",
"name",
"typeId",
"contextId",
"active",
"firstItemId"
],
"primaryKey": "id"
}Get Blueprint API specification for AgendasGET/research-sys/api/v1/agendas/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Agendas.md"
transfer-encoding: chunkedUpdate AgendasPUT/research-sys/api/v1/agendas/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"name": "(val)",
"typeId": "(val)",
"contextId": "(val)",
"active": "(val)",
"firstItemId": "(val)",
"_primaryKey": "(val)"
}204Update Multiple AgendasPUT/research-sys/api/v1/agendas/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"name": "(val)",
"typeId": "(val)",
"contextId": "(val)",
"active": "(val)",
"firstItemId": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"name": "(val)",
"typeId": "(val)",
"contextId": "(val)",
"active": "(val)",
"firstItemId": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes AgendasPATCH/research-sys/api/v1/agendas/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"id": "(val)",
"name": "(val)",
"typeId": "(val)",
"contextId": "(val)",
"active": "(val)",
"firstItemId": "(val)",
"_primaryKey": "(val)"
}Insert AgendasPOST/research-sys/api/v1/agendas/
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the insertion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json201Body
{
"id": "(val)",
"name": "(val)",
"typeId": "(val)",
"contextId": "(val)",
"active": "(val)",
"firstItemId": "(val)",
"_primaryKey": "(val)"
}Insert Multiple AgendasPOST/research-sys/api/v1/agendas/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"name": "(val)",
"typeId": "(val)",
"contextId": "(val)",
"active": "(val)",
"firstItemId": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"name": "(val)",
"typeId": "(val)",
"contextId": "(val)",
"active": "(val)",
"firstItemId": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"id": "(val)",
"name": "(val)",
"typeId": "(val)",
"contextId": "(val)",
"active": "(val)",
"firstItemId": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"name": "(val)",
"typeId": "(val)",
"contextId": "(val)",
"active": "(val)",
"firstItemId": "(val)",
"_primaryKey": "(val)"
}
]Delete Agendas by KeyDELETE/research-sys/api/v1/agendas/(key)
Example URI
- createMaintenanceDocument
string(required)if true, will create a maintenance document for the deletion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All AgendasDELETE/research-sys/api/v1/agendas/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDelete All Agendas with MatchingDELETE/research-sys/api/v1/agendas/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- id
string(optional)Agenda Id. Validating pattern is .*.
- name
string(optional)Agenda Name. Validating pattern is .*.
- typeId
string(optional)Agenda typeId. Validating pattern is .*.
- contextId
string(optional)Agenda contextId. Validating pattern is .*.
- active
string(optional)This attribute is used to describe whether the associated object is active or inactive. Maximum length is 1. Validating pattern is ^[\p{Graph}]*$.
- firstItemId
string(optional)First Item Id. Validating pattern is .*.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalAttachments ¶
Get Attachments by KeyGET/research-sys/api/v1/attachments/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"noteIdentifier": "(val)",
"attachmentMimeTypeCode": "(val)",
"attachmentFileName": "(val)",
"attachmentIdentifier": "(val)",
"attachmentFileSize": "(val)",
"attachmentTypeCode": "(val)",
"_primaryKey": "(val)"
}Get All AttachmentsGET/research-sys/api/v1/attachments/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"noteIdentifier": "(val)",
"attachmentMimeTypeCode": "(val)",
"attachmentFileName": "(val)",
"attachmentIdentifier": "(val)",
"attachmentFileSize": "(val)",
"attachmentTypeCode": "(val)",
"_primaryKey": "(val)"
},
{
"noteIdentifier": "(val)",
"attachmentMimeTypeCode": "(val)",
"attachmentFileName": "(val)",
"attachmentIdentifier": "(val)",
"attachmentFileSize": "(val)",
"attachmentTypeCode": "(val)",
"_primaryKey": "(val)"
}
]Get All Attachments with FilteringGET/research-sys/api/v1/attachments/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- noteIdentifier
string(optional)noteIdentifier description… Maximum length is 14. Validating pattern is ^[\p{Graph}]*$.
- attachmentMimeTypeCode
string(optional)attachmentMimeTypeCode description… Maximum length is 40. Validating pattern is ^[\p{Graph}]*$.
- attachmentFileName
string(optional)attachmentFileName description… Maximum length is 250. Validating pattern is ^[\p{Graph}]*$.
- attachmentIdentifier
string(optional)attachmentIdentifier description… Maximum length is 36. Validating pattern is ^[\p{Graph}]*$.
- attachmentFileSize
string(optional)attachmentFileSize description… Maximum length is 14. Validating pattern is ^[0-9]*$.
- attachmentTypeCode
string(optional)attachmentTypeCode description… Maximum length is 2. Validating pattern is ^[\p{Graph}]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"noteIdentifier": "(val)",
"attachmentMimeTypeCode": "(val)",
"attachmentFileName": "(val)",
"attachmentIdentifier": "(val)",
"attachmentFileSize": "(val)",
"attachmentTypeCode": "(val)",
"_primaryKey": "(val)"
},
{
"noteIdentifier": "(val)",
"attachmentMimeTypeCode": "(val)",
"attachmentFileName": "(val)",
"attachmentIdentifier": "(val)",
"attachmentFileSize": "(val)",
"attachmentTypeCode": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for AttachmentsGET/research-sys/api/v1/attachments/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"noteIdentifier",
"attachmentMimeTypeCode",
"attachmentFileName",
"attachmentIdentifier",
"attachmentFileSize",
"attachmentTypeCode"
],
"primaryKey": "noteIdentifier"
}Get Blueprint API specification for AttachmentsGET/research-sys/api/v1/attachments/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Attachments.md"
transfer-encoding: chunkedUpdate AttachmentsPUT/research-sys/api/v1/attachments/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"noteIdentifier": "(val)",
"attachmentMimeTypeCode": "(val)",
"attachmentFileName": "(val)",
"attachmentIdentifier": "(val)",
"attachmentFileSize": "(val)",
"attachmentTypeCode": "(val)",
"_primaryKey": "(val)"
}204Update Multiple AttachmentsPUT/research-sys/api/v1/attachments/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"noteIdentifier": "(val)",
"attachmentMimeTypeCode": "(val)",
"attachmentFileName": "(val)",
"attachmentIdentifier": "(val)",
"attachmentFileSize": "(val)",
"attachmentTypeCode": "(val)",
"_primaryKey": "(val)"
},
{
"noteIdentifier": "(val)",
"attachmentMimeTypeCode": "(val)",
"attachmentFileName": "(val)",
"attachmentIdentifier": "(val)",
"attachmentFileSize": "(val)",
"attachmentTypeCode": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes AttachmentsPATCH/research-sys/api/v1/attachments/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"noteIdentifier": "(val)",
"attachmentMimeTypeCode": "(val)",
"attachmentFileName": "(val)",
"attachmentIdentifier": "(val)",
"attachmentFileSize": "(val)",
"attachmentTypeCode": "(val)",
"_primaryKey": "(val)"
}Insert AttachmentsPOST/research-sys/api/v1/attachments/
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the insertion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json201Body
{
"noteIdentifier": "(val)",
"attachmentMimeTypeCode": "(val)",
"attachmentFileName": "(val)",
"attachmentIdentifier": "(val)",
"attachmentFileSize": "(val)",
"attachmentTypeCode": "(val)",
"_primaryKey": "(val)"
}Insert Multiple AttachmentsPOST/research-sys/api/v1/attachments/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"noteIdentifier": "(val)",
"attachmentMimeTypeCode": "(val)",
"attachmentFileName": "(val)",
"attachmentIdentifier": "(val)",
"attachmentFileSize": "(val)",
"attachmentTypeCode": "(val)",
"_primaryKey": "(val)"
},
{
"noteIdentifier": "(val)",
"attachmentMimeTypeCode": "(val)",
"attachmentFileName": "(val)",
"attachmentIdentifier": "(val)",
"attachmentFileSize": "(val)",
"attachmentTypeCode": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"noteIdentifier": "(val)",
"attachmentMimeTypeCode": "(val)",
"attachmentFileName": "(val)",
"attachmentIdentifier": "(val)",
"attachmentFileSize": "(val)",
"attachmentTypeCode": "(val)",
"_primaryKey": "(val)"
},
{
"noteIdentifier": "(val)",
"attachmentMimeTypeCode": "(val)",
"attachmentFileName": "(val)",
"attachmentIdentifier": "(val)",
"attachmentFileSize": "(val)",
"attachmentTypeCode": "(val)",
"_primaryKey": "(val)"
}
]Delete Attachments by KeyDELETE/research-sys/api/v1/attachments/(key)
Example URI
- createMaintenanceDocument
string(required)if true, will create a maintenance document for the deletion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All AttachmentsDELETE/research-sys/api/v1/attachments/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDelete All Attachments with MatchingDELETE/research-sys/api/v1/attachments/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- noteIdentifier
string(optional)noteIdentifier description… Maximum length is 14. Validating pattern is ^[\p{Graph}]*$.
- attachmentMimeTypeCode
string(optional)attachmentMimeTypeCode description… Maximum length is 40. Validating pattern is ^[\p{Graph}]*$.
- attachmentFileName
string(optional)attachmentFileName description… Maximum length is 250. Validating pattern is ^[\p{Graph}]*$.
- attachmentIdentifier
string(optional)attachmentIdentifier description… Maximum length is 36. Validating pattern is ^[\p{Graph}]*$.
- attachmentFileSize
string(optional)attachmentFileSize description… Maximum length is 14. Validating pattern is ^[0-9]*$.
- attachmentTypeCode
string(optional)attachmentTypeCode description… Maximum length is 2. Validating pattern is ^[\p{Graph}]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalCampus Types ¶
Get Campus Types by KeyGET/research-sys/api/v1/campus-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"code": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}Get All Campus TypesGET/research-sys/api/v1/campus-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"code": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]Get All Campus Types with FilteringGET/research-sys/api/v1/campus-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- code
string(optional)campusTypeCode description… Maximum length is 1. Validating pattern is ^[\p{Graph}]*$.
- name
string(optional)campusTypeName description… Maximum length is 40. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- active
string(optional)Active. Validating pattern is .*.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"code": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Campus TypesGET/research-sys/api/v1/campus-types/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"code",
"name",
"active"
],
"primaryKey": "code"
}Get Blueprint API specification for Campus TypesGET/research-sys/api/v1/campus-types/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Campus Types.md"
transfer-encoding: chunkedUpdate Campus TypesPUT/research-sys/api/v1/campus-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"code": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Campus TypesPUT/research-sys/api/v1/campus-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"code": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Campus TypesPATCH/research-sys/api/v1/campus-types/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"code": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}Insert Campus TypesPOST/research-sys/api/v1/campus-types/
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the insertion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json201Body
{
"code": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Campus TypesPOST/research-sys/api/v1/campus-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"code": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"code": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]Delete Campus Types by KeyDELETE/research-sys/api/v1/campus-types/(key)
Example URI
- createMaintenanceDocument
string(required)if true, will create a maintenance document for the deletion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Campus TypesDELETE/research-sys/api/v1/campus-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDelete All Campus Types with MatchingDELETE/research-sys/api/v1/campus-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- code
string(optional)campusTypeCode description… Maximum length is 1. Validating pattern is ^[\p{Graph}]*$.
- name
string(optional)campusTypeName description… Maximum length is 40. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- active
string(optional)Active. Validating pattern is .*.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalCampuses ¶
Get Campuses by KeyGET/research-sys/api/v1/campuses/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"code": "(val)",
"name": "(val)",
"shortName": "(val)",
"campusTypeCode": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}Get All CampusesGET/research-sys/api/v1/campuses/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"code": "(val)",
"name": "(val)",
"shortName": "(val)",
"campusTypeCode": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"name": "(val)",
"shortName": "(val)",
"campusTypeCode": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]Get All Campuses with FilteringGET/research-sys/api/v1/campuses/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- code
string(optional)The code uniquely identifying a particular campus. Maximum length is 2. Validating pattern is ^[A-Za-z0-9]*$.
- name
string(optional)Campus Name… Maximum length is 40. Validating pattern is .*.
- shortName
string(optional)Short Name… Maximum length is 12. Validating pattern is .*.
- campusTypeCode
string(optional)The code identifying type of campus. Maximum length is 2. Validating pattern is ^[A-Za-z0-9]*$.
- active
string(optional)This attribute is used to describe whether the associated object is active or inactive. Maximum length is 1. Validating pattern is ^[\p{Graph}]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"code": "(val)",
"name": "(val)",
"shortName": "(val)",
"campusTypeCode": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"name": "(val)",
"shortName": "(val)",
"campusTypeCode": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for CampusesGET/research-sys/api/v1/campuses/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"code",
"name",
"shortName",
"campusTypeCode",
"active"
],
"primaryKey": "code"
}Get Blueprint API specification for CampusesGET/research-sys/api/v1/campuses/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Campuses.md"
transfer-encoding: chunkedUpdate CampusesPUT/research-sys/api/v1/campuses/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"code": "(val)",
"name": "(val)",
"shortName": "(val)",
"campusTypeCode": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}204Update Multiple CampusesPUT/research-sys/api/v1/campuses/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"code": "(val)",
"name": "(val)",
"shortName": "(val)",
"campusTypeCode": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"name": "(val)",
"shortName": "(val)",
"campusTypeCode": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes CampusesPATCH/research-sys/api/v1/campuses/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"code": "(val)",
"name": "(val)",
"shortName": "(val)",
"campusTypeCode": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}Insert CampusesPOST/research-sys/api/v1/campuses/
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the insertion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json201Body
{
"code": "(val)",
"name": "(val)",
"shortName": "(val)",
"campusTypeCode": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}Insert Multiple CampusesPOST/research-sys/api/v1/campuses/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"code": "(val)",
"name": "(val)",
"shortName": "(val)",
"campusTypeCode": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"name": "(val)",
"shortName": "(val)",
"campusTypeCode": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"code": "(val)",
"name": "(val)",
"shortName": "(val)",
"campusTypeCode": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"name": "(val)",
"shortName": "(val)",
"campusTypeCode": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]Delete Campuses by KeyDELETE/research-sys/api/v1/campuses/(key)
Example URI
- createMaintenanceDocument
string(required)if true, will create a maintenance document for the deletion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All CampusesDELETE/research-sys/api/v1/campuses/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDelete All Campuses with MatchingDELETE/research-sys/api/v1/campuses/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- code
string(optional)The code uniquely identifying a particular campus. Maximum length is 2. Validating pattern is ^[A-Za-z0-9]*$.
- name
string(optional)Campus Name… Maximum length is 40. Validating pattern is .*.
- shortName
string(optional)Short Name… Maximum length is 12. Validating pattern is .*.
- campusTypeCode
string(optional)The code identifying type of campus. Maximum length is 2. Validating pattern is ^[A-Za-z0-9]*$.
- active
string(optional)This attribute is used to describe whether the associated object is active or inactive. Maximum length is 1. Validating pattern is ^[\p{Graph}]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalCategories ¶
Get Categories by KeyGET/research-sys/api/v1/categories/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"id": "(val)",
"name": "(val)",
"namespace": "(val)",
"_primaryKey": "(val)"
}Get All CategoriesGET/research-sys/api/v1/categories/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"id": "(val)",
"name": "(val)",
"namespace": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"name": "(val)",
"namespace": "(val)",
"_primaryKey": "(val)"
}
]Get All Categories with FilteringGET/research-sys/api/v1/categories/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- id
string(optional)ID. Validating pattern is .*.
- name
string(optional)Name. Validating pattern is .*.
- namespace
string(optional)Namespace. Validating pattern is .*.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"id": "(val)",
"name": "(val)",
"namespace": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"name": "(val)",
"namespace": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for CategoriesGET/research-sys/api/v1/categories/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"id",
"name",
"namespace"
],
"primaryKey": "id"
}Get Blueprint API specification for CategoriesGET/research-sys/api/v1/categories/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Categories.md"
transfer-encoding: chunkedUpdate CategoriesPUT/research-sys/api/v1/categories/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"name": "(val)",
"namespace": "(val)",
"_primaryKey": "(val)"
}204Update Multiple CategoriesPUT/research-sys/api/v1/categories/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"name": "(val)",
"namespace": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"name": "(val)",
"namespace": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes CategoriesPATCH/research-sys/api/v1/categories/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"id": "(val)",
"name": "(val)",
"namespace": "(val)",
"_primaryKey": "(val)"
}Insert CategoriesPOST/research-sys/api/v1/categories/
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the insertion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json201Body
{
"id": "(val)",
"name": "(val)",
"namespace": "(val)",
"_primaryKey": "(val)"
}Insert Multiple CategoriesPOST/research-sys/api/v1/categories/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"name": "(val)",
"namespace": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"name": "(val)",
"namespace": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"id": "(val)",
"name": "(val)",
"namespace": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"name": "(val)",
"namespace": "(val)",
"_primaryKey": "(val)"
}
]Delete Categories by KeyDELETE/research-sys/api/v1/categories/(key)
Example URI
- createMaintenanceDocument
string(required)if true, will create a maintenance document for the deletion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All CategoriesDELETE/research-sys/api/v1/categories/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDelete All Categories with MatchingDELETE/research-sys/api/v1/categories/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- id
string(optional)ID. Validating pattern is .*.
- name
string(optional)Name. Validating pattern is .*.
- namespace
string(optional)Namespace. Validating pattern is .*.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalComponent Sets ¶
Get Component Sets by KeyGET/research-sys/api/v1/component-sets/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"componentSetId": "(val)",
"lastUpdateTimestamp": "(val)",
"checksum": "(val)",
"_primaryKey": "(val)"
}Get All Component SetsGET/research-sys/api/v1/component-sets/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"componentSetId": "(val)",
"lastUpdateTimestamp": "(val)",
"checksum": "(val)",
"_primaryKey": "(val)"
},
{
"componentSetId": "(val)",
"lastUpdateTimestamp": "(val)",
"checksum": "(val)",
"_primaryKey": "(val)"
}
]Get All Component Sets with FilteringGET/research-sys/api/v1/component-sets/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- componentSetId
string(optional)- lastUpdateTimestamp
string(optional)- checksum
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"componentSetId": "(val)",
"lastUpdateTimestamp": "(val)",
"checksum": "(val)",
"_primaryKey": "(val)"
},
{
"componentSetId": "(val)",
"lastUpdateTimestamp": "(val)",
"checksum": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Component SetsGET/research-sys/api/v1/component-sets/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"componentSetId",
"lastUpdateTimestamp",
"checksum"
],
"primaryKey": "componentSetId"
}Get Blueprint API specification for Component SetsGET/research-sys/api/v1/component-sets/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Component Sets.md"
transfer-encoding: chunkedUpdate Component SetsPUT/research-sys/api/v1/component-sets/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"componentSetId": "(val)",
"lastUpdateTimestamp": "(val)",
"checksum": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Component SetsPUT/research-sys/api/v1/component-sets/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"componentSetId": "(val)",
"lastUpdateTimestamp": "(val)",
"checksum": "(val)",
"_primaryKey": "(val)"
},
{
"componentSetId": "(val)",
"lastUpdateTimestamp": "(val)",
"checksum": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Component SetsPATCH/research-sys/api/v1/component-sets/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"componentSetId": "(val)",
"lastUpdateTimestamp": "(val)",
"checksum": "(val)",
"_primaryKey": "(val)"
}Insert Component SetsPOST/research-sys/api/v1/component-sets/
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the insertion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json201Body
{
"componentSetId": "(val)",
"lastUpdateTimestamp": "(val)",
"checksum": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Component SetsPOST/research-sys/api/v1/component-sets/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"componentSetId": "(val)",
"lastUpdateTimestamp": "(val)",
"checksum": "(val)",
"_primaryKey": "(val)"
},
{
"componentSetId": "(val)",
"lastUpdateTimestamp": "(val)",
"checksum": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"componentSetId": "(val)",
"lastUpdateTimestamp": "(val)",
"checksum": "(val)",
"_primaryKey": "(val)"
},
{
"componentSetId": "(val)",
"lastUpdateTimestamp": "(val)",
"checksum": "(val)",
"_primaryKey": "(val)"
}
]Delete Component Sets by KeyDELETE/research-sys/api/v1/component-sets/(key)
Example URI
- createMaintenanceDocument
string(required)if true, will create a maintenance document for the deletion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Component SetsDELETE/research-sys/api/v1/component-sets/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDelete All Component Sets with MatchingDELETE/research-sys/api/v1/component-sets/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- componentSetId
string(optional)- lastUpdateTimestamp
string(optional)- checksum
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalComponents ¶
Get Components by KeyGET/research-sys/api/v1/components/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"namespaceCode": "(val)",
"code": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}Get All ComponentsGET/research-sys/api/v1/components/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"namespaceCode": "(val)",
"code": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"namespaceCode": "(val)",
"code": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]Get All Components with FilteringGET/research-sys/api/v1/components/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- namespaceCode
string(optional)Code identifying the namespace. Maximum length is 20. Validating pattern is ^[\p{Graph}]*$.
- code
string(optional)Code identifying the Component. Maximum length is 100. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- name
string(optional)The name of the Component. Maximum length is 255. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- active
string(optional)This attribute is used to describe whether the associated object is active or inactive. Maximum length is 1. Validating pattern is ^[\p{Graph}]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"namespaceCode": "(val)",
"code": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"namespaceCode": "(val)",
"code": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for ComponentsGET/research-sys/api/v1/components/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"namespaceCode",
"code",
"name",
"active"
],
"primaryKey": "code:namespaceCode"
}Get Blueprint API specification for ComponentsGET/research-sys/api/v1/components/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Components.md"
transfer-encoding: chunkedUpdate ComponentsPUT/research-sys/api/v1/components/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"namespaceCode": "(val)",
"code": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}204Update Multiple ComponentsPUT/research-sys/api/v1/components/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"namespaceCode": "(val)",
"code": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"namespaceCode": "(val)",
"code": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes ComponentsPATCH/research-sys/api/v1/components/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"namespaceCode": "(val)",
"code": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}Insert ComponentsPOST/research-sys/api/v1/components/
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the insertion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json201Body
{
"namespaceCode": "(val)",
"code": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}Insert Multiple ComponentsPOST/research-sys/api/v1/components/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"namespaceCode": "(val)",
"code": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"namespaceCode": "(val)",
"code": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"namespaceCode": "(val)",
"code": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"namespaceCode": "(val)",
"code": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]Delete Components by KeyDELETE/research-sys/api/v1/components/(key)
Example URI
- createMaintenanceDocument
string(required)if true, will create a maintenance document for the deletion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All ComponentsDELETE/research-sys/api/v1/components/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDelete All Components with MatchingDELETE/research-sys/api/v1/components/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- namespaceCode
string(optional)Code identifying the namespace. Maximum length is 20. Validating pattern is ^[\p{Graph}]*$.
- code
string(optional)Code identifying the Component. Maximum length is 100. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- name
string(optional)The name of the Component. Maximum length is 255. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- active
string(optional)This attribute is used to describe whether the associated object is active or inactive. Maximum length is 1. Validating pattern is ^[\p{Graph}]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalContext Attributes ¶
Get Context Attributes by KeyGET/research-sys/api/v1/context-attributes/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}Get All Context AttributesGET/research-sys/api/v1/context-attributes/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}
]Get All Context Attributes with FilteringGET/research-sys/api/v1/context-attributes/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- id
string(optional)- value
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Context AttributesGET/research-sys/api/v1/context-attributes/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"id",
"value"
],
"primaryKey": "id"
}Get Blueprint API specification for Context AttributesGET/research-sys/api/v1/context-attributes/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Context Attributes.md"
transfer-encoding: chunkedUpdate Context AttributesPUT/research-sys/api/v1/context-attributes/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Context AttributesPUT/research-sys/api/v1/context-attributes/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Context AttributesPATCH/research-sys/api/v1/context-attributes/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}Insert Context AttributesPOST/research-sys/api/v1/context-attributes/
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the insertion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json201Body
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Context AttributesPOST/research-sys/api/v1/context-attributes/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}
]Delete Context Attributes by KeyDELETE/research-sys/api/v1/context-attributes/(key)
Example URI
- createMaintenanceDocument
string(required)if true, will create a maintenance document for the deletion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Context AttributesDELETE/research-sys/api/v1/context-attributes/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDelete All Context Attributes with MatchingDELETE/research-sys/api/v1/context-attributes/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- id
string(optional)- value
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalContext Valid Actions ¶
Get Context Valid Actions by KeyGET/research-sys/api/v1/context-valid-actions/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"id": "(val)",
"contextId": "(val)",
"actionTypeId": "(val)",
"_primaryKey": "(val)"
}Get All Context Valid ActionsGET/research-sys/api/v1/context-valid-actions/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"id": "(val)",
"contextId": "(val)",
"actionTypeId": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"contextId": "(val)",
"actionTypeId": "(val)",
"_primaryKey": "(val)"
}
]Get All Context Valid Actions with FilteringGET/research-sys/api/v1/context-valid-actions/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- id
string(optional)- contextId
string(optional)- actionTypeId
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"id": "(val)",
"contextId": "(val)",
"actionTypeId": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"contextId": "(val)",
"actionTypeId": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Context Valid ActionsGET/research-sys/api/v1/context-valid-actions/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"id",
"contextId",
"actionTypeId"
],
"primaryKey": "id"
}Get Blueprint API specification for Context Valid ActionsGET/research-sys/api/v1/context-valid-actions/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Context Valid Actions.md"
transfer-encoding: chunkedUpdate Context Valid ActionsPUT/research-sys/api/v1/context-valid-actions/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"contextId": "(val)",
"actionTypeId": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Context Valid ActionsPUT/research-sys/api/v1/context-valid-actions/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"contextId": "(val)",
"actionTypeId": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"contextId": "(val)",
"actionTypeId": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Context Valid ActionsPATCH/research-sys/api/v1/context-valid-actions/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"id": "(val)",
"contextId": "(val)",
"actionTypeId": "(val)",
"_primaryKey": "(val)"
}Insert Context Valid ActionsPOST/research-sys/api/v1/context-valid-actions/
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the insertion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json201Body
{
"id": "(val)",
"contextId": "(val)",
"actionTypeId": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Context Valid ActionsPOST/research-sys/api/v1/context-valid-actions/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"contextId": "(val)",
"actionTypeId": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"contextId": "(val)",
"actionTypeId": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"id": "(val)",
"contextId": "(val)",
"actionTypeId": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"contextId": "(val)",
"actionTypeId": "(val)",
"_primaryKey": "(val)"
}
]Delete Context Valid Actions by KeyDELETE/research-sys/api/v1/context-valid-actions/(key)
Example URI
- createMaintenanceDocument
string(required)if true, will create a maintenance document for the deletion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Context Valid ActionsDELETE/research-sys/api/v1/context-valid-actions/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDelete All Context Valid Actions with MatchingDELETE/research-sys/api/v1/context-valid-actions/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- id
string(optional)- contextId
string(optional)- actionTypeId
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
[...]
